// package main -- пускач для языка
package main

import "gitp78su.ipnodns.ru/svi/kern/v2"

// Stack -- локальный стэк значений для работы ВМ
type Stack struct {
	lstVal []int // Стэк значений для работы
}

// NewStack -- возвращает новый локальный стэк значений
func NewStack() *Stack {
	sf := &Stack{
		lstVal: []int{},
	}
	return sf
}

func main() {
	log := kern.NewLogBuf(true)
	log.Debug("main(): ProLet begin")
}
